Retrieve a webhook delivery
import requests
url = "https://api.paywise.de/v1/webhook-deliveries/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/webhook-deliveries/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/webhook-deliveries/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhook-deliveries/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/webhook-deliveries/{id}/ \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_url": "<string>",
"event_type": "mandate.created",
"payload": "<unknown>",
"status": "pending",
"attempts": 123,
"response_status_code": 123,
"response_body": "<string>",
"error_message": "<string>",
"idempotency_key": "<string>",
"created": "2023-11-07T05:31:56Z",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}webhook-deliveries
Retrieve a webhook delivery
Retrieve details of a specific webhook delivery attempt.
GET
/
v1
/
webhook-deliveries
/
{id}
/
Retrieve a webhook delivery
import requests
url = "https://api.paywise.de/v1/webhook-deliveries/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/webhook-deliveries/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/webhook-deliveries/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhook-deliveries/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/webhook-deliveries/{id}/ \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_url": "<string>",
"event_type": "mandate.created",
"payload": "<unknown>",
"status": "pending",
"attempts": 123,
"response_status_code": 123,
"response_body": "<string>",
"error_message": "<string>",
"idempotency_key": "<string>",
"created": "2023-11-07T05:31:56Z",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Authorizations
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Serializer for WebhookDelivery model.
mandate.created- Mandate Createdmandate.updated- Mandate Updatedmandate.status_updated- Mandate Status Updatedmandate.closed- Mandate Closedmandate.transferred- Mandate Transferred to Ikarosmandate.balance_updated- Mandate Balance Updatedmandate.message_created- Mandate Message Createdclaim.created- Claim Createdclaim.released- Claim Released for Processingclaim.updated- Claim Updatedpayment.created- Payment Reportedpayment.updated- Payment Updatedstatement.created- Statement Createdstatement.updated- Statement Updatedsingle_mandate_statement.created- Single-Mandate Statement Createdsingle_mandate_statement.updated- Single-Mandate Statement Updatedrequest_to_client.created- Request to Client Createdrequest_to_client.answered- Request to Client Answered
Available options:
mandate.created, mandate.updated, mandate.status_updated, mandate.closed, mandate.transferred, mandate.balance_updated, mandate.message_created, claim.created, claim.released, claim.updated, payment.created, payment.updated, statement.created, statement.updated, single_mandate_statement.created, single_mandate_statement.updated, request_to_client.created, request_to_client.answered The JSON payload sent to the webhook endpoint
pending- Pendingsuccess- Successfailed- Failedretrying- Retrying
Available options:
pending, success, failed, retrying Number of delivery attempts made
Response body from webhook endpoint (truncated)
Error message if delivery failed
Unique key to prevent duplicate deliveries
When this delivery was first created
Timestamp of the most recent delivery attempt
Scheduled time for next retry attempt
When delivery was successfully completed or permanently failed
